package com.xzzn.ems.mapper;

import com.xzzn.ems.domain.EmsPointCalcConfig;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface EmsPointCalcConfigMapper {
    EmsPointCalcConfig selectEmsPointCalcConfigById(Long id);

    List<EmsPointCalcConfig> selectEmsPointCalcConfigList(EmsPointCalcConfig emsPointCalcConfig);

    int insertEmsPointCalcConfig(EmsPointCalcConfig emsPointCalcConfig);

    int updateEmsPointCalcConfig(EmsPointCalcConfig emsPointCalcConfig);

    int deleteEmsPointCalcConfigById(Long id);

    int deleteEmsPointCalcConfigByIds(Long[] ids);

    int countBySiteId(@Param("siteId") String siteId);

    int deleteBySiteId(@Param("siteId") String siteId);
}
